Package: org.gradle.language.base.plugins

## [Java] Class LanguageBasePlugin

- org.gradle.language.base.plugins.LanguageBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class LanguageBasePlugin
      extends Object

  Base plugin for language support. Adds a BinaryContainer named `binaries` to the project. Adds a ProjectSourceSet named `sources` to the project. For each binary instance added to the binaries container, registers a lifecycle task to create that binary.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LanguageBasePlugin (org.gradle.internal.reflect.Instantiator instantiator, org.gradle.model.internal.registry.ModelRegistry modelRegistry)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project target)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @javax.inject.Inject public LanguageBasePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.model.internal.registry.ModelRegistry modelRegistry)

  - ### Method Detail

    - #### public void apply(Project target)